package cz.jzitnik.game.entities;

import cz.jzitnik.game.Game;
import cz.jzitnik.game.context.GlobalContextProvider;
import cz.jzitnik.game.ui.CraftingTable;

public class GameStates {
    public CraftingTable craftingTable;
    public Dependencies dependencies;
    public GlobalContextProvider globalContextProvider = new GlobalContextProvider();
    public int clickX = -1;
    public int clickY = -1;

    public GameStates(Game game) {
        craftingTable = new CraftingTable(game);
        dependencies = new Dependencies(game);
    }
}
